org.apache.catalina.session

## Class ManagerBase.SessionTiming

- java.lang.Object
- - org.apache.catalina.session.ManagerBase.SessionTiming

- Enclosing class:
    ManagerBase

      protected static final class ManagerBase.SessionTiming
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionTiming(long timestamp, int duration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDuration()`
    `long` | `getTimestamp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionTiming

          public SessionTiming(long timestamp,
                               int duration)

  - ### Method Detail

    - #### getTimestamp

          public long getTimestamp()

      Returns:
        Time stamp associated with this piece of timing information in milliseconds.

    - #### getDuration

          public int getDuration()

      Returns:
        Duration associated with this piece of timing information in seconds.

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.